技術資料(メモ)‎ > ‎KDE‎ > ‎

Linux Mint 18.1 KDEにアップグレードした際のトラブル

2017/03/13 19:10 に 森山誠二郎 が投稿   [ 2017/03/13 19:26 に更新しました ]
Linux Mint 18 KDEを 18.1にアップグレードした

1。korganizerがクラッシュする
 なぜかアップグレード後にkorganizerがなくなっていたので、手動でインストールした
 新規のイベント登録はできるが、既存のイベントをクリックすると以下のようなエラーでクラッシュする
  korganizer: symbol lookup error: /usr/lib/x86_64-linux-gnu/libKF5CalendarSupport.so.5: undefined symbol: _ZN9KCalUtils18I\
ncidenceFormatter19extensiveDisplayStrERK7QStringRK14QSharedPointerIN8KCalCore13IncidenceBaseEERK5QDateRKN9KDateTime4Spec\
E
 解決法:
  新規にインストールした18.1を調べたところ、以下のファイルのバージョン5.2.3だった
         /usr/lib/x86_64-linux-gnu/libKF5CalendarSupport.so.5 -> libKF5CalendarSupport.so.5.1.3
  libKF5CalendarSupport.so.5.2.3 をコピーし、リンクを張り直した

メモ: apt-show-versionsが便利
 パッケージの比較(今回は役に立たなかったが)に使った。apt-get install apt-show-versionsでインストールできる。
Comments